package com.ruoyi.web;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.domain.ReviewTaskUserRelation;
import com.ruoyi.service.impl.ReviewTaskUserRelationServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Api("体系审查任务组成员")
@RestController
@RequestMapping("/review/Task/User")
public class ReviewTaskUserRelationController extends BaseController {

    @Autowired
    ReviewTaskUserRelationServiceImpl reviewTaskUserRelationService;


    /**
     * 根据任务id查询小组成员
     * @param taskId
     * @return
     */
    @ApiOperation("根据任务Id查询任务组成员")
    @RequestMapping(method = RequestMethod.GET, value = "/members/{taskId}")
    public R<List<ReviewTaskUserRelation>> selectQTeamMemberList(@PathVariable Long taskId){
        List<ReviewTaskUserRelation> list = reviewTaskUserRelationService.selectQTeamMembers(taskId);
        return R.ok(list);
    }

}
